Skip to main content
`Ctrl`+`K`

# TaoComputeObjective

Computes the objective function value at a given point

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeObjective(Tao tao, Vec X, PetscReal *f)

Collective

## Input Parameters

- tao - the `Tao` context

- X - input vector

## Output Parameter

- f - Objective value at X

## Note

`TaoComputeObjective()` is typically used within the implementation of the optimization algorithm so most users would not generally call this routine themselves.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoComputeGradient()`, `TaoComputeObjectiveAndGradient()`, `TaoSetObjective()`

## Level

developer

## Location

src/tao/interface/taosolver_fg.c

## Examples

src/tao/tutorials/ex4.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages